# Amanita Telefonica Command Line Interface (CLI)
CLI is used to fully manage Amanita Telefonica installation and upgrades.

With this utility you can install all or separate Amanita Telefonica services.

Install it with Python pip command:

```
pip3 install Amanita-Telefonica-CLI
```

After that a new linux script is available called 'amanita'.

You can run it without arguments to see all options:

```
Usage: amanita [OPTIONS] COMMAND [ARGS]...

  Amanita Telefonica Command Center.  Here you manage Amanita services
  deployed on current machine. Please select your command....

Options:
  --help  Show this message and exit.

Commands:
  asterisk         Asterisk IP-PBX Management
  asterisk-broker  Asterisk PBX Broker management
  caddy            Caddy WEB server with automatic HTTPS
  config           Configuration management
  console-broker   Asterisk console helper management
  odoo             Odoo Management
  odoo-addons      Amanita Odoo Addons install / update / remove
  odoo-broker      Amanita Odoo Broker management
  postgres         PostgreSQL management
  rabbitmq         RabbitMQ management
  spawn            Amanita Telefonica spawn
  supervisor       Services management
  test             Test utilities```

## Asterisk Broker installation
In order to connect Asterisk PBX server Asterisk Broker must be setup and run.

To setup it you need to issue the following commands:

```
amanita asterisk-broker requirements
amanita asterisk-broker install
amanita asterisk-broker run
```
