import click
from amanita_cli.main import config_load, config_save

@click.command('del', help='Delete a configuration option.')
@click.argument('option')
def cli(option):    
    config = config_load()
    if option not in config:
        click.secho('Option {} is not configured.'.format(option))
        return
    del config[option]
    config_save(config)
