import click
import os
import yaml
from amanita_cli.main import config_load, config_save

@click.command('set', help='Set a configuration option.')
@click.argument('option')
@click.argument('value')
def cli(option, value):
    config = config_load()
    config[option] = value
    config_save(config)
