import click
import os
import grp, pwd

@click.command('shell')
def cli():
    u_id = pwd.getpwnam(os.getenv('ODOO_SYSTEM_USER')).pw_uid
    g_id = grp.getgrnam(os.getenv('ODOO_SYSTEM_GROUP')).gr_gid
    os.setgid(g_id)
    os.setuid(u_id)
    os.chdir(os.path.join(os.getenv('AMANITA_PREFIX'), 'odoo'))
    run_params = ['/usr/local/bin/odoo', 'shell', '-c', 'odoo.conf', '--no-http', '-d', os.getenv('ODOO_DB')]
    os.execv('/usr/local/bin/odoo', run_params)
