import click
import pwd, grp
import odoorpc
import os
from amanita_cli.main import config_load

@click.command('update')
def cli():
    config = config_load()
    odoo = odoorpc.ODOO(config['ODOO_HOST'], port=int(config['ODOO_PORT']))
    odoo.login(config['ODOO_DB'], config['ODOO_USER'], config['ODOO_PASS'])
    odoo.env['ir.module.module'].update_list()
