import click
import os
import xmlrpc.client

@click.command('status')
def cli():
    s = xmlrpc.client.ServerProxy(os.getenv('SUPERVISOR_URI'))
    info = s.supervisor.getAllProcessInfo()
    for proc in info:
        click.echo('Service {}: {} ({})'.format(proc['name'], proc['statename'],
                                         proc['description']))