import os
import click
import subprocess

ASTERISK_SYSTEM_NAME = os.getenv('ASTERISK_SYSTEM_NAME')
if not ASTERISK_SYSTEM_NAME:
    ASTERISK_SYSTEM_NAME = 'asterisk'
    os.environ['ASTERISK_SYSTEM_NAME'] = ASTERISK_SYSTEM_NAME


@click.command('run')
def cli():
    os.chdir(os.getenv('AMANITA_PREFIX'))
    nameko_path = subprocess.check_output(
                            'which nameko', shell=True).decode().strip('\n')
    click.echo('Using nameko at {}'.format(nameko_path))
    os.execv(nameko_path,
            [nameko_path, 'run', 'asterisk_broker', '--config=config.yml'])


