import os
import click

ASTERISK_SYSTEM_NAME = os.getenv('ASTERISK_SYSTEM_NAME')
if not ASTERISK_SYSTEM_NAME:
    ASTERISK_SYSTEM_NAME = 'asterisk'
    os.environ['ASTERISK_SYSTEM_NAME'] = ASTERISK_SYSTEM_NAME


@click.command('run')
def cli():
    os.chdir(os.path.join(os.getenv('AMANITA_PREFIX'), 'console_broker'))
    os.execv('./console_server.py', ['./console_server.py'])


