import os
import click
import subprocess

@click.command('run')
def cli():
    os.chdir(os.getenv('AMANITA_PREFIX'))
    nameko_path = subprocess.check_output(
                            'which nameko', shell=True).decode().strip('\n')
    click.echo('Using nameko at {}'.format(nameko_path))
    os.execv(nameko_path,
            [nameko_path, 'run', 'odoo_broker', '--config=config.yml'])


