import os
import click
import grp, pwd

@click.command('shell')
def cli():
    u_id = pwd.getpwnam('postgres').pw_uid
    g_id = grp.getgrnam('postgres').gr_gid
    os.setgid(g_id)
    os.setuid(u_id)
    run_params = ['/usr/bin/psql', os.getenv('ODOO_DB')]
    os.execv('/usr/bin/psql', run_params)


